Bug 261321 - [NEW PORT] textproc/py-mkdocs-redirects: MkDocs plugin for dynamic page redirects to prevent broken links
Summary: [NEW PORT] textproc/py-mkdocs-redirects: MkDocs plugin for dynamic page redir...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Neel Chauhan
URL:
Keywords: feature, needs-qa
Depends on:
Blocks: 262206
  Show dependency treegraph
 
Reported: 2022-01-18 22:45 UTC by Samir Noir
Modified: 2022-03-12 05:45 UTC (History)
3 users (show)

See Also:
samir: maintainer-feedback+


Attachments
patch (made with git format-patch) (1.92 KB, patch)
2022-01-18 22:45 UTC, Samir Noir
no flags Details | Diff
updated patch (made with git format-patch) (2.24 KB, patch)
2022-02-03 11:50 UTC, Samir Noir
no flags Details | Diff
correct updated patch for textproc/py-mkdocs-redirects (2.36 KB, patch)
2022-02-03 11:52 UTC, Samir Noir
no flags Details | Diff
patch (made with git format-patch) (2.37 KB, patch)
2022-02-03 12:19 UTC, Samir Noir
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Samir Noir 2022-01-18 22:45:31 UTC
Created attachment 231143 [details]
patch (made with git format-patch)

mkdocs-redirect is an MkDocs plugin to create page redirects in MkDocs generated websites.

poudriere testport: OK
portlint: OK (just a warning about directory for dependency mkdocs, but it seems the case for other Python ports).
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2022-01-19 01:16:06 UTC
Review items:

 - Match COMMENT to upstream setup.py:Description modulo portlint requirements:

  'MkDocs plugin for dynamic page redirects to prevent broken links'

 - Consider using github sources to include test suite (ask upstream to include these in the distributed PyPI sdist), and adding TEST_DEPENDS and a (do-)test target. Github sources also include LICENSE_FILE (add to Makefile) and ask upstream to include it in the sdist too.

 - Make port USE_PYTHON=concurrent safe, as package provides files in non-Python version specific locations (console scripts / entry points). 

What is the warning for the dependency directory?
Comment 2 Samir Noir 2022-01-24 18:32:20 UTC
(In reply to Kubilay Kocak from comment #1)

I'm waiting a response from upstream (https://github.com/datarobot/mkdocs-redirects/issues/30).

Actions are needed by upstream, for CHEESHOP and for Github in order to use one of them to make the port complete.
I will then make a new patch.

About portlint, the warning is: 
  WARN: Makefile: you may want directory for dependency mkdocs>=1.0.4 to be textproc/py-mkdocs@${PY_FLAVOR}
Comment 3 Samir Noir 2022-02-03 11:50:41 UTC
Created attachment 231531 [details]
updated patch (made with git format-patch)

Here is a new patch to have a correct port for mkdocs-redirects.

Items from review were corrected (usage of concurrent in USE_PYTHON, Github as the dist source, fix of COMMENT, test target addition).

However, I did not have a response from upstream about the missing tags in the git repository (and the missing stuff in sdist but this is not a problem when using Github), so the commit SHA is used to point to version 1.0.3, I hope this is ok (at least for now).
Indeed, I need both py-mkdocs-redirects and py-mkdocs-simple-hooks (bug 261322) to update the port sysutils/chezmoi to a newer version (those two MkDocs plugins are required to build the documentation).

Thanks
Comment 4 Samir Noir 2022-02-03 11:52:47 UTC
Created attachment 231532 [details]
correct updated patch for textproc/py-mkdocs-redirects
Comment 5 Samir Noir 2022-02-03 12:19:15 UTC
Created attachment 231533 [details]
patch (made with git format-patch)

This is an updated patch with a fixed test target.
Comment 6 Neel Chauhan freebsd_committer 2022-03-12 05:44:00 UTC
Committed!
Comment 7 commit-hook freebsd_committer 2022-03-12 05:45:08 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=e619c0be64df05373d75b857b95d0f0c03ebe85b

commit e619c0be64df05373d75b857b95d0f0c03ebe85b
Author:     Samir Noir <samir@noir.im>
AuthorDate: 2022-02-03 11:37:14 +0000
Commit:     Neel Chauhan <nc@FreeBSD.org>
CommitDate: 2022-03-12 05:43:39 +0000

    textproc/py-mkdocs-redirects: New port

    PR:     261321

 textproc/Makefile                            |  1 +
 textproc/py-mkdocs-redirects/Makefile (new)  | 28 ++++++++++++++++++++++++++++
 textproc/py-mkdocs-redirects/distinfo (new)  |  3 +++
 textproc/py-mkdocs-redirects/pkg-descr (new) |  3 +++
 4 files changed, 35 insertions(+)